Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 223949 - postuninstall calls initscript with unimplemented condrestart option
Summary: postuninstall calls initscript with unimplemented condrestart option
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: heartbeat
Version: 6
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE7Target
TreeView+ depends on / blocked
 
Reported: 2007-01-23 08:22 UTC by Tomas Hoger
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-28 03:28:51 UTC


Attachments (Terms of Use)

Description Tomas Hoger 2007-01-23 08:22:19 UTC
Description of problem:

postuninstall script calls heartbeat init script with option condrestart:

# rpm -q --scripts heartbeat
[ ... ]
postuninstall scriptlet (using /bin/sh):
if [ "$1" -ge "1" ] ; then
    /sbin/service heartbeat condrestart
fi

However, condrestart is not supported by script:

# /sbin/service heartbeat condrestart
Usage: /etc/init.d/heartbeat {start|stop|status|restart|reload|force-reload}


Version-Release number of selected component (if applicable):

heartbeat-2.0.8-1.fc6


How reproducible:

Upgrade heartbeat package.

Comment 1 Ville Skyttä 2007-02-09 20:32:49 UTC
The script was changed to call "restart" instead which is incorrect too:
http://www.redhat.com/archives/fedora-extras-list/2007-February/msg00115.html

Comment 2 Kevin Fenzi 2007-02-18 05:49:44 UTC
I would agree... I suspect the right thing to do would not be any restarting at
all. When applying an update to a heartbeat cluster, you don't want it to stop
heartbeat and cause a failover in the middle of updates. 

I will take a deeper look next week... 

Comment 3 Kevin Fenzi 2007-02-26 18:41:25 UTC
I am taking over the heartbeat package, so re-assigning this to me to look at. 

Comment 4 Kevin Fenzi 2007-06-28 03:28:51 UTC
Sorry for the big delay here. ;(

I have removed the restart entirely in 2.0.8-3.fc8. 
I don't think we want to restart on upgrade as that will (or can) cause a
unplanned failover.

If everything looks good in fc8 I will push f7 and fc6 updates soon. 

I am going to close this out now. If anyone disagrees, or has better ideas, feel
free to re-open this or file a new bug. Thanks for the report!


Note You need to log in before you can comment on or make changes to this bug.